#### Previous topic

scipy.interpolate.griddata

#### Next topic

scipy.interpolate.LinearNDInterpolator.__call__

# scipy.interpolate.LinearNDInterpolator

class `scipy.interpolate.``LinearNDInterpolator`(points, values, fill_value=np.nan, rescale=False)

  Piecewise linear interpolant in N dimensions.

  New in version 0.9.

  Parameters:

  points : ndarray of floats, shape (npoints, ndims); or Delaunay

  > Data point coordinates, or a precomputed Delaunay triangulation.

  values : ndarray of float or complex, shape (npoints, ...)

  > Data values.

  fill_value : float, optional

  > Value used to fill in for requested points outside of the convex hull of the input points. If not provided, then the default is `nan`.

  rescale : bool, optional

  > Rescale points to unit cube before performing interpolation. This is useful if some of the input dimensions have incommensurable units and differ by many orders of magnitude.

  Notes

  The interpolant is constructed by triangulating the input data with Qhull [R48], and on each triangle performing linear barycentric interpolation.

  References

  [R48] | (1, 2) http://www.qhull.org/

  Methods

  `__call__`(xi) | Evaluate interpolator at given points.